import { App } from 'vue'
import './style/index.less'
import { getComponentPrefix } from '../_utils/global-config'
import _Button from './button.vue'
import _ButtonGroup from './button-group.vue'

const Button = Object.assign(_Button, {
	Group: _ButtonGroup,
	install: (app: App) => {
		const componentPrefix = getComponentPrefix()
		app.component(componentPrefix + _Button.name, _Button)
		app.component(componentPrefix + _ButtonGroup.name, _ButtonGroup)
	}
})

export type ButtonInstance = InstanceType<typeof _Button>;
export type ButtonGroupInstance = InstanceType<typeof _ButtonGroup>;

export default Button
